pasting features into spatialite layer does not copy attibute values

2015-01-13 03:05 AM - Wouter van Esse

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Digitising

Affected QGIS version:2.14.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 20189

Description

Hello,

I use Qgis 2.6.1 to paste features from shape or PostGIS database table into a spatialite table. The features (geometry) are copied

correctly, but the attribute values in the spatialite are blank (NULL). In QGis 2.4.0, the attribute values are copied as well.

In this case, I have a spatialite db with some features already present. I want to add some new features to this table from shape. Both the

spatialite table and the shape have an ID field named 'inp_id' that is of type integer. I select the features from the shape, hit copy then

select the spatialite table (that is in edit mode) and hit paste. After I noticed the ID was not filled I tried pasting from a PostGIS database,

but the result was the same. When I returned to Qgis 2.4.0 the ID field was filled correctly.

Regards,

Wouter

History

#1 - 2015-01-13 03:16 AM - Wouter van Esse

Also,

I am using sqlite version: 3.7.17 and spatialite version: 4.1.1

#2 - 2015-01-13 08:47 AM - Giovanni Manghi

- Category changed from Attribute table to Digitising

- Status changed from Open to Feedback

- Priority changed from Normal to Severe/Regression

- Operating System deleted (Windows)

- OS version deleted (7)

- Affected QGIS version changed from 2.6.1 to master

I cannot replicate it in 2.6.1 compared to 2.4.

In 2.6.1 works ok for me, but does not on master.

Anyway is a regression.

#3 - 2015-01-14 01:48 AM - Seb Radzimski

- Target version set to Version 2.8
I found something similar in QGIS 2.6.0 and now in 2.6.1 (Windows x64 standalone installation) during copy features between SHAPEfiles or POSTGIS

layers (with the same columns). Usually copy/paste works fine, but sometimes in the target table all attributes of copied features are NULL (instead of

geometry). QGIS 'says' that copy was successful and new objects are visible on the map (they have geometry) but no others attributes. If I restart QGIS

everything works fine ... for a while.

#4 - 2015-01-30 04:52 AM - Giovanni Manghi

It seems ok to me in the latest QGIS master, please try and report back.

#5 - 2015-02-13 09:51 AM - Saber Razmjooei

The bug still exists in master (commit:065d190).

Windows 7 64-bit

OSGeo4W installation

#6 - 2015-02-13 01:56 PM - Jürgen Fischer

Are the attribute names identical?  QGIS maps the source attributes by name to the destination layer and skips attributes that are not available in the

destination layer.

#7 - 2015-02-16 02:18 AM - Saber Razmjooei

It was from the same table.

The problem seems to have been resolved in commit:e2a51df.

#8 - 2015-02-16 07:35 AM - Jürgen Fischer

Saber Razmjooei wrote:

It was from the same table.

The problem seems to have been resolved in commit:e2a51df.

is that the correct commit?  commit:e2a51df is three month old, while commit:065d190d is four days old.

#9 - 2015-02-16 07:44 AM - Saber Razmjooei

Oops, I had checked in QGIS 2.6.1!

I also checked it in 2.7 (commit:ca86be7) and can confirm the bug is not there any more.

Thanks,

#10 - 2015-02-16 08:12 AM - Jürgen Fischer

- Status changed from Feedback to Closed

- Resolution set to fixed/implemented
#11 - 2016-04-14 05:53 AM - Almerio Moreira

- Target version changed from Version 2.8 to Version 2.14

- Status changed from Closed to Reopened

This problem still exists on QGIS version 2.14.1, windows 7 64 bits, using shapefile vector layer.

Sometimes it occurs, so I have to restart QGIS to copy features with attributes even from the same layer.

#12 - 2016-04-14 06:35 AM - Giovanni Manghi

- Resolution deleted (fixed/implemented)

- Affected QGIS version changed from master to 2.14.1

#13 - 2017-03-08 02:14 AM - Giovanni Manghi

- Status changed from Reopened to Closed

- Resolution set to not reproducable

I just tested again on 2.18.4 on both Windows and Linux and copy/pasting from shape/postgis to spatialite worked just fine. I assume that if there were still

issues those were fixed in recent qgis releases. Please leave feedback if you find that this operation still does not work as expected.
